/*
 * checkerberry test center - https://www.checkerberry.de
 *
 * Copyright (c) 2010 ConceptPeople consulting gmbh
 *
 * Lizenziert unter der EUPL, Version 1.1 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/software/page/eupl5
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.conceptpeople.checkerberry.db.example;

import org.junit.After;
import org.springframework.beans.factory.annotation.Autowired;

import de.conceptpeople.checkerberry.db.example.dao.DishDao;
import de.conceptpeople.checkerberry.db.example.dao.UserDao;

/**
 * In der abstrakten Oberklasse werden die beiden DAOs verwaltet, damit das
 * nicht in jedem Test wieder passieren muss.
 */
public abstract class AbstractExampleDaoTestCase extends AbstractExampleTestCase {

    // Die DAO-Objekte werden durch Spring injiziert.
    @Autowired
    private UserDao userDao;
    @Autowired
    private DishDao dishDao;

    @After
    public void tearDown() {
        // DAO wieder freigeben, da das sonst erst am Ende der Testsuite
        // passiert und das kann dann unnötig viel Speicher kosten.
        userDao = null;
        dishDao = null;

        super.tearDown();
    }

    protected UserDao getUserDao() {
        return userDao;
    }

    public void setUserDao(UserDao userDao) {
        this.userDao = userDao;
    }

    protected DishDao getDishDao() {
        return dishDao;
    }

    public void setDishDao(DishDao dishDao) {
        this.dishDao = dishDao;
    }

}
